Bug 199312 - [maintainer] Update Port: databases/sqlite3 to 3.8.9
Summary: [maintainer] Update Port: databases/sqlite3 to 3.8.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks: 199483
  Show dependency treegraph
 
Reported: 2015-04-09 15:13 UTC by Pavel Volkov
Modified: 2015-05-09 05:17 UTC (History)
1 user (show)

See Also:
pavelivolkov: maintainer-feedback+


Attachments
Update Port: databases/sqlite3 to 3.8.9 (2.33 KB, patch)
2015-04-09 15:13 UTC, Pavel Volkov
no flags Details | Diff
Update Port: databases/sqlite3 to 3.8.9 (1.19 KB, patch)
2015-04-09 15:15 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
log file for this a port (14.62 KB, text/plain)
2015-04-09 15:16 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2015-04-09 15:13:22 UTC
Created attachment 155363 [details]
Update Port: databases/sqlite3 to 3.8.9
Comment 1 Pavel Volkov 2015-04-09 15:15:23 UTC
Created attachment 155364 [details]
Update Port: databases/sqlite3 to 3.8.9
Comment 2 Pavel Volkov 2015-04-09 15:16:46 UTC
Created attachment 155365 [details]
log file for this a port
Comment 3 commit-hook freebsd_committer 2015-04-16 07:17:04 UTC
A commit references this bug:

Author: jbeich
Date: Thu Apr 16 07:16:26 UTC 2015
New revision: 384086
URL: https://svnweb.freebsd.org/changeset/ports/384086

Log:
  Update to version 3.8.9

  Changes:	https://sqlite.org/releaselog/3_8_9.html
  ACC report:	http://upstream-tracker.org/compat_reports/sqlite/3080803_to_3080900/abi_compat_report.html
  PR:		199312
  PR:		199313
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
  head/databases/tcl-sqlite3/Makefile
  head/databases/tcl-sqlite3/distinfo
Comment 4 Jan Beich freebsd_committer 2015-04-16 07:25:46 UTC
Committed. Thanks.
Comment 5 commit-hook freebsd_committer 2015-04-16 10:58:29 UTC
A commit references this bug:

Author: jbeich
Date: Thu Apr 16 10:57:55 UTC 2015
New revision: 384095
URL: https://svnweb.freebsd.org/changeset/ports/384095

Log:
  Revert DISTNAME change by using proper PORTVERSION

    $ pkg version --test-version 3.8.9 3.8.9.0
    =

  PR:		199312 (fixup)
  PR:		199313 (fixup)
  Submitted by:	mat

Changes:
  head/databases/sqlite3/Makefile
  head/databases/tcl-sqlite3/Makefile
Comment 6 Pavel Volkov 2015-04-17 03:26:03 UTC
Hello.
SQLite is version 3.8.9, not 3.8.9.0. Arbitrary change of version cause an error when naming shared libraries for Tcl. Please revert to my original patch.
Thank you.
Comment 7 commit-hook freebsd_committer 2015-04-17 04:39:38 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 17 04:39:24 UTC 2015
New revision: 384137
URL: https://svnweb.freebsd.org/changeset/ports/384137

Log:
  Backout r384095 for breaking databases/tcl-sqlite3

  PACKAGE_VERSION is 3.8.9, not 3.8.9.0. tcl-sqlite3 uses it for
  naming shared library. Also saved in pkg-config --modversion.

  Bump PORTREVISION to make sure both ports are on the same PORTVERSION.

  PR:		199312
  PR:		199313
  Reported by:	pkg-fallout
  Requested by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)
  Pointy hat:	jbeich

Changes:
  head/databases/sqlite3/Makefile
  head/databases/tcl-sqlite3/Makefile
Comment 8 Jan Beich freebsd_committer 2015-04-17 04:59:01 UTC
Thanks and sorry. I've restored to r384086 except for PORTREVISION.
Comment 9 commit-hook freebsd_committer 2015-05-09 05:17:36 UTC
A commit references this bug:

Author: jbeich
Date: Sat May  9 05:16:55 UTC 2015
New revision: 385863
URL: https://svnweb.freebsd.org/changeset/ports/385863

Log:
  MFH: r384086

  Update to version 3.8.9

  Changes:	https://sqlite.org/releaselog/3_8_9.html
  ACC report:	http://upstream-tracker.org/compat_reports/sqlite/3080803_to_3080900/abi_compat_report.html
  PR:		199312
  PR:		199313
  PR:		199483
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/databases/sqlite3/Makefile
  branches/2015Q2/databases/sqlite3/distinfo
  branches/2015Q2/databases/tcl-sqlite3/Makefile
  branches/2015Q2/databases/tcl-sqlite3/distinfo